EZ_AddItemCallBack(3)

NAME
EZ_AddItemCallBack,EZ_RemoveItemCallBack, EZ_RemoveAllItemCallBacks - register/remove callbacks associated to a display item

SYNOPSIS
#include <EZ.h>

void EZ_AddItemCallBack( EZ_Item *item,
     int which, EZ_CallBack callback, void *clientdata, int location)
void EZ_RemoveItemCallBack( EZ_Item *item,
     int which, EZ_CallBack callback, void *clientdata)
void EZ_RemoveAllItemCallBacks( EZ_Item *item, int which)

ARGUMENTS
item Specifies a display item.

callback Specifies a callback.

clientdata Specifies an clientdata to be passed to the callback.

which Specifies a callback list.

location Specifies when the callback is to be called relative to other previously callbacks.

DESCRIPTION

An callback is a procedure of the following prototype:

    void (* callback)(void *object, void *data)

EZ_AddItemCallBack registers a callback to a item. There are two callback lists associated to a item: an EZ_CALLBACK list and an EZ_DESTROY_CALLBACK list. Normal callbacks are called when a double Button1 click occurs on a item. Destroy callbacks are invoked at the time a item is destroyed. If location is 0, the callback will be put in front of all previously registered callbacks. If location is 1, the callback will be inserted at the end of all previousely registered callbacks.

EZ_RemoveItemCallBack deletes a callback from the specified callback list. The specified callback will be deleted only if both the procedure and the client data match.

EZ_RemoveAllCallBacks deletes all callbacks from the specified callback list.

SEE ALSO
EZ_CreateItem(3), EZ_ConfigureItem(3), EZ_SetItemClientData(3)